const express = require("express");
const router = express.Router();
const multer = require("multer");
const upload = multer();
const { mixdataUpload } = require("../mixdata/mixdata");
const validateFirebaseIdTokenMiddleware = require("../middleware/validateFirebaseIdTokenMiddleware");
const withUserGraphQLClientMiddleware = require("../middleware/withUserGraphQLClientMiddleware");

router.post("/upload", validateFirebaseIdTokenMiddleware, withUserGraphQLClientMiddleware, upload.any(), mixdataUpload);

module.exports = router;
